extends PlayerState

@onready var timer: Timer = $Timer

func _enter_state():
	player.animation_player.play(GameConstants.ANIM_POP)
	await player.animation_player.animation_finished
	timer.start()
	await timer.timeout
	player.state_machine.switch_state($"../PlayerStateIdle")


func _exit_state():
	player.area_2d.set_deferred("monitoring", false)
	player.area_2d.set_deferred("monitorable", false)
